osl::rating::Threatmate::Helper Struct Reference

## Public Member Functions

void | operator() (Square)

## Public Attributes

bool * | result
NumEffectState * | state

## Detailed Description

Definition at line 7 of file checkmate.cc.

## Member Function Documentation

## operator()()

void osl::rating::Threatmate::Helper::operator() | ( | Square |  | ) |

inline

Definition at line 11 of file checkmate.cc.

References osl::alt(), osl::ImmediateCheckmate::hasCheckmateMove(), result, and state.

## Member Data Documentation

## result

bool* osl::rating::Threatmate::Helper::result

Definition at line 9 of file checkmate.cc.

Referenced by operator()().

## state

NumEffectState* osl::rating::Threatmate::Helper::state

Definition at line 10 of file checkmate.cc.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- checkmate.cc